Holger's Java API

## com.antelmann
Class LicenseKeyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  com.antelmann.LicensingException
                      com.antelmann.LicenseKeyException

All Implemented Interfaces:
  Serializable

    public class LicenseKeyException

extends LicensingException

indicates a problem with a license key

Author:
  Holger Antelmann
See Also:
  `LicenseKey`, Serialized Form

Constructor Summary
`LicenseKeyException(LicenseKey key)`
`LicenseKeyException(LicenseKey key, Exception cause)`
`LicenseKeyException(String message, LicenseKey key, License license)`

Method Summary
`LicenseKey` `getKey()`

Methods inherited from class com.antelmann.LicensingException
`getLicense, getLicensee, setLicense, setLicensee`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LicenseKeyException

    public LicenseKeyException(LicenseKey key)

### LicenseKeyException

    public LicenseKeyException(LicenseKey key,
                               Exception cause)

### LicenseKeyException

    public LicenseKeyException(String message,
                               LicenseKey key,
                               License license)

Method Detail

### getKey

    public LicenseKey getKey()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads